Bug 962515 - [abrt] libreoffice-core-3.6.5.2-8.fc18: option_menu_get_props: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-3.6.5.2-8.fc18: option_menu_get_props: Process /usr/l...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluecurve-gtk-themes (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:f5699d8f54ef7bf7fd96ecf33af...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 14:04 EDT by Bruce-Robert Pocock
Modified: 2014-02-05 16:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:21:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.49 KB, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: cgroup (131 bytes, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: core_backtrace (9.17 KB, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: dso_list (24.22 KB, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: environ (2.07 KB, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: maps (139.31 KB, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: open_fds (627 bytes, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: smolt_data (3.16 KB, text/plain)
2013-05-13 14:04 EDT, Bruce-Robert Pocock
no flags Details
File: var_log_messages (1.04 KB, text/plain)
2013-05-13 14:05 EDT, Bruce-Robert Pocock
no flags Details

  None (edit)
Description Bruce-Robert Pocock 2013-05-13 14:04:30 EDT
Description of problem:
attempting to open the application either from the Gnome Shell (Writer icon) or from an ODT file causes a crash after the splash logo appears.

Version-Release number of selected component:
libreoffice-core-3.6.5.2-8.fc18

Additional info:
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6
crash_function: option_menu_get_props
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.8.4-202.fc18.x86_64
uid:            1000
ureports_counter: 2
xsession_errors: 

Truncated backtrace:
Thread no. 1 (8 frames)
 #6 option_menu_get_props at bluecurve_style.c:269
 #7 draw_box at bluecurve_style.c:1997
 #8 GtkSalGraphics::NWPaintGTKListBox(_GdkDrawable*, unsigned int, unsigned int, Rectangle const&, std::list<Rectangle, std::allocator<Rectangle> > const&, unsigned int, ImplControlValue const&, rtl::OUString const&) at /usr/lib64/libreoffice/program/libvclplug_gtklo.so
 #9 GtkSalGraphics::drawNativeControl(unsigned int, unsigned int, Rectangle const&, unsigned int, ImplControlValue const&, rtl::OUString const&) at /usr/lib64/libreoffice/program/libvclplug_gtklo.so
 #10 SalGraphics::HitTestNativeControl(unsigned int, unsigned int, Rectangle const&, Point const&, unsigned char&, OutputDevice const*) at /usr/lib64/libreoffice/program/libvcllo.so
 #11 ??
 #12 ??
 #13 ??
Comment 1 Bruce-Robert Pocock 2013-05-13 14:04:33 EDT
Created attachment 747336 [details]
File: backtrace
Comment 2 Bruce-Robert Pocock 2013-05-13 14:04:35 EDT
Created attachment 747337 [details]
File: cgroup
Comment 3 Bruce-Robert Pocock 2013-05-13 14:04:37 EDT
Created attachment 747338 [details]
File: core_backtrace
Comment 4 Bruce-Robert Pocock 2013-05-13 14:04:39 EDT
Created attachment 747339 [details]
File: dso_list
Comment 5 Bruce-Robert Pocock 2013-05-13 14:04:41 EDT
Created attachment 747340 [details]
File: environ
Comment 6 Bruce-Robert Pocock 2013-05-13 14:04:43 EDT
Created attachment 747341 [details]
File: limits
Comment 7 Bruce-Robert Pocock 2013-05-13 14:04:45 EDT
Created attachment 747342 [details]
File: maps
Comment 8 Bruce-Robert Pocock 2013-05-13 14:04:47 EDT
Created attachment 747343 [details]
File: open_fds
Comment 9 Bruce-Robert Pocock 2013-05-13 14:04:49 EDT
Created attachment 747344 [details]
File: proc_pid_status
Comment 10 Bruce-Robert Pocock 2013-05-13 14:04:51 EDT
Created attachment 747345 [details]
File: smolt_data
Comment 11 Bruce-Robert Pocock 2013-05-13 14:05:02 EDT
Created attachment 747346 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-05-13 15:08:53 EDT
crashing down in the theme
Comment 13 Fedora End Of Life 2013-12-21 08:31:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 16:21:00 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.